net.dontdrinkandroot.wicketexample.web.dataprovider

## Class TestEntitySortableDataProvider

- java.lang.Object
- - org.apache.wicket.extensions.markup.html.repeater.util.SortableDataProvider<TestEntity,javax.persistence.metamodel.SingularAttribute<? super TestEntity,?>>
  - - net.dontdrinkandroot.wicketexample.web.dataprovider.TestEntitySortableDataProvider

All Implemented Interfaces:
  Serializable, org.apache.wicket.extensions.markup.html.repeater.data.sort.ISortStateLocator<javax.persistence.metamodel.SingularAttribute<? super TestEntity,?>>, org.apache.wicket.extensions.markup.html.repeater.data.table.ISortableDataProvider<TestEntity,javax.persistence.metamodel.SingularAttribute<? super TestEntity,?>>, org.apache.wicket.markup.repeater.data.IDataProvider<TestEntity>, org.apache.wicket.model.IDetachable, org.apache.wicket.util.io.IClusterable

    public class TestEntitySortableDataProvider
    extends org.apache.wicket.extensions.markup.html.repeater.util.SortableDataProvider<TestEntity,javax.persistence.metamodel.SingularAttribute<? super TestEntity,?>>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestEntitySortableDataProvider()`

### Method Summary

Methods
`Iterator<? extends TestEntity>` `iterator(long first, long count)`
`org.apache.wicket.model.IModel<TestEntity>` `model(TestEntity testEntity)`
`long` `size()`

### Methods inherited from class org.apache.wicket.extensions.markup.html.repeater.util.SortableDataProvider

`detach, getSort, getSortState, setSort, setSort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestEntitySortableDataProvider

    public TestEntitySortableDataProvider()

### Method Detail

#### iterator

    public Iterator<? extends TestEntity> iterator(long first,
                                          long count)

#### size

    public long size()

#### model

    public org.apache.wicket.model.IModel<TestEntity> model(TestEntity testEntity)